CustomSignalPropagation< T > Class Template Referenceabstract

Provides interface for initialization of derived filters. More...

Inheritance diagram for CustomSignalPropagation< T >:

## Public Member Functions

virtual void | Initialize (const NameValuePairs &parameters=g_nullNameValuePairs, int propagation=-1)=0
Public Member Functions inherited from CustomFlushPropagation< T >
virtual bool | Flush (bool hardFlush, int propagation=-1, bool blocking=true)=0

## Detailed Description

### template<class T>
class CustomSignalPropagation< T >

Provides interface for initialization of derived filters.

Template Parameters

  T | the class or type

T should be a BufferedTransformation derived class

Definition at line 178 of file simple.h.

The documentation for this class was generated from the following file:

- simple.h